Skip to main content

Update a Project's storage space statistics

PATCH/v2/projects/{projectId}/storage-space-statistics
API version
v2
Request method
PATCH
Operation ID
storagespace-update-project-statistics

Request​

  • projectIdstringrequired

    ID of the Project to update the storage space statistics for.

Responses​

No response content specified.

Usage examples​

$ curl \
--fail \
--location \
-X PATCH \
-d '{"notificationThresholdInBytes":10000}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/projects/string/storage-space-statistics
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.project.storagespaceUpdateProjectStatistics({
"projectId": "string",
"data": {
"notificationThresholdInBytes": 10000
}
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\Project\StoragespaceUpdateProjectStatistics\StoragespaceUpdateProjectStatisticsRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Project\StoragespaceUpdateProjectStatistics\StoragespaceUpdateProjectStatisticsRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// StoragespaceUpdateProjectStatisticsRequestBody to learn how to construct a valid instance
$body = new StoragespaceUpdateProjectStatisticsRequestBody(/* TODO: ... */);

$request = (new StoragespaceUpdateProjectStatisticsRequest(
projectId: "string",
body: $body
));
$response = $client->project()->storagespaceUpdateProjectStatistics($request);

var_dump($response->getBody();

On this page